      SUBROUTINE TESTJ(UD,N,DETERM,PIVMIN,PIVMAX)
      IMPLICIT REAL*8 (A-H,O-Z)
      DIMENSION UD(1)
      DETERM=0.0D+00
      KK = 0
      PIVMIN = ABS(UD(1))
      PIVMAX = ABS(UD(1))
      DO I=1,N
         IF (UD(I).LT.0) KK = KK + 1
         DETERM = DETERM - LOG10(ABS(UD(I)))
         IF (ABS(UD(I)).GT.PIVMAX) PIVMAX = ABS(UD(I))
         IF (ABS(UD(I)).LT.PIVMIN) PIVMIN = ABS(UD(I))
      END DO
      WRITE (6,*)KK,' PIVOTS NEGATIVOS'
      RETURN
      END
